# PostFaintAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PostFaintAbAttr

#### Hierarchy (view full)

- AbAttr
  - PostFaintAbAttr
    - PostFaintClearWeatherAbAttr
    - PostFaintContactDamageAbAttr
    - PostFaintHPDamageAbAttr

- Defined in src/data/ability.ts:3013

#####
Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyPostFaint
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostFaintAbAttr(showAbility?): PostFaintAbAttr

- #### Parameters

  - showAbility: boolean = true

  #### Returns PostFaintAbAttr

  Inherited from AbAttr.constructor

  - Defined in src/data/ability.ts:129

## Properties

### showAbility

showAbility: boolean

Inherited from AbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from AbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from AbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostFaint

- applyPostFaint(pokemon, passive, attacker, move, hitResult, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - attacker: default
  - move: default
  - hitResult: HitResult
  - args: any[]

  #### Returns boolean

  - Defined in src/data/ability.ts:3014

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from AbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from AbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137